## postorius 1.1.2

=== example_project/requirements.txt ===
Django>1.8,<1.10
git+https://gitlab.com/mailman/mailmanclient.git
git+https://gitlab.com/mailman/postorius.git
git+https://gitlab.com/mailman/django-mailman3.git
django-allauth
django-gravatar

=== debian/changelog ===
postorius (1.1.2-3ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Sensitive Information Disclosure
    - debian/patches/CVE-2021-40347.patch: Check a user owns the email
    they are trying to unsubscribe.
    - CVE-2021-40347

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Tue, 23 Nov 2021 14:38:22 +0000

postorius (1.1.2-3) unstable; urgency=medium

  [ Jonas Meurer ]
  * d/control:
    - Don't recommend mailman3, recommend mailman3-web instead.

  [ Pierre-Elliott Bécue ]
  * d/control:
    - Raise debhelper build dependency level to 11
  * d/compat: Bump to 11
  * d/s/lintian-overrides: Add an override for the missing python3 package.
  * d/rules:
    - Add a rule to move the static directory in /usr/share and link against
      it in /usr/lib/…

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 16 Mar 2018 16:57:27 +0100

postorius (1.1.2-2) unstable; urgency=medium

  * Add dependency on python-sphinx-rtd-theme on the binary package
    (Closes: #891374)
  * d/control:
    - update Vcs links to salsa
    - Add dependency on fonts-glewlwyd
  * Add a rule to replace a font file by a link to the fonts-glewlwyd
    associate file

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 28 Feb 2018 19:18:24 +0100

postorius (1.1.2-1) unstable; urgency=medium

  [ Jonas Meurer ]
  * d/patches/0002-example_project-Fix-path-to-urls-for-tests.patch: Dropped,
    we're using --pythonpath=build_area instead now.
  * d/tests/control: Add restriction 'allow-stderr' to 'django-admin test'
    test command.
  * d/rules: Run 'django-admin test' as build-time test.

  [ Pierre-Elliott Bécue ]
  * mmclient is a django command called via manage.py, removing the link
  * New upstream release 1.1.2.
  * Add a d/source/local-options file to unapply the patches after the build.
  * d/control:
    - Bump Standards-Version to 4.1.3.
    - Enforce python-django dep version to be << 1:1.12
  * Move the d/python-django-postorius.links file into d/links

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 06 Jan 2018 21:32:19 +0100

postorius (1.1.1-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * Install upstream changelog with dh.
  * Add a link to mmclient in /usr/bin

  [ Jonas Meurer ]
  * New upstream bugfix release 1.1.1.
    * Drop d/patches/0001-local-js-files.patch, got applied upstream.
    * d/patches/0001-README.rst-remove-embedded-images.patch: Remove
      embedded images from README.rst.
    * d/contrib/*: Remove JS libraries html5shiv and respond, both now
      shipped upstream.
  * d/copyright: Update copyright statements for JS libraries
  * d/patches/0002-example_project-Fix-path-to-urls-for-tests.patch:
    Fix path to urls module to run postorius testsuite.
  * d/tests/control: Add new test that runs postorius testsuite.
  * d/control: Bump standards-version to 4.1.2, no changes needed.
  * d/upstream/signing-key.asc: Replace upstream GnuPG signing key from
    Barry Warsaw (FP: 8417 157E DBE7 3D9E AC1E  539B 126E B563 A74B 06BF)
    with the one from
    Abhilash Raj (FP: 541E A044 8453 394F F77A  0ECC 9D9B 2BA0 61D0 A67C).

 -- Jonas Meurer <mejo@debian.org>  Thu, 14 Dec 2017 12:43:19 +0100

postorius (1.1.0-1) unstable; urgency=low

  [ Pierre-Elliott Bécue ]
  * Initial release (Closes: #799285)

  [ Jonas Meurer ]
  * Update to upstream version 1.1.0

 -- Jonas Meurer <mejo@debian.org>  Mon, 02 Oct 2017 21:03:11 +0200

=== debian/control ===
Source: postorius
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <becue@crans.org>,
           Jonas Meurer <jonas@freesources.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-bs4,
               python-django (<< 1:1.12),
               python-django-mailman3,
               python-mock,
               python-setuptools,
               python-vcr,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.1.3
Homepage: https://gitlab.com/mailman/postorius
Vcs-Browser: https://salsa.debian.org/mailman-team/postorius
Vcs-Git: https://salsa.debian.org/mailman-team/postorius.git
X-Python-Version: >= 2.7

Package: python-django-postorius
Architecture: all
Depends: libjs-jquery,
         libjs-bootstrap,
         fonts-glewlwyd,
         python-django,
         python-django-allauth,
         python-django-mailman3,
         python-mailmanclient,
         python-sphinx-rtd-theme,
         ${misc:Depends},
         ${python:Depends}
Recommends: mailman3-web
Description: Web user interface to access GNU Mailman3
 The Postorius Django app provides a web user interface
 to access GNU Mailman3, and manage it. This interface
 uses django, and requires some configuration.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME = postorius

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ln -s ../src/postorius example_project/postorius
	set -e; \
	for python in $(shell pyversions -r); do \
		$$python $(shell which django-admin) test --pythonpath=example_project --settings=test_settings postorius; \
	done
	rm example_project/postorius
endif

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -E -N src/postorius/doc build/sphinx/html
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	# Don't embed bootstrap/jquery JS scripts
	find debian/python-django-postorius -name 'jquery-1.11.3.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python-django-postorius -name 'bootstrap.min.js' -type f -exec \
		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;
	find debian/python-django-postorius -name 'glyphicons-halflings-regular.ttf' -type f -exec \
		ln -sf /usr/share/glewlwyd/webapp/fonts/glyphicons-halflings-regular.ttf {} \;
	# Move static files outside of the lib directory
	mv debian/python-django-postorius/usr/lib/python2.7/dist-packages/postorius/static \
		debian/python-django-postorius/usr/share/python-django-postorius/
	ln -sf /usr/share/python-django-postorius/static \
		debian/python-django-postorius/usr/lib/python2.7/dist-packages/postorius/static

override_dh_installchangelogs:
	dh_installchangelogs src/postorius/doc/news.rst

=== debian/tests/control ===
Test-Command: python2.7 $(which django-admin) test --pythonpath=example_project --settings=test_settings postorius
Depends: @,
         python-bs4,
         python-mock,
         python-vcr
Restrictions: build-needed,
              allow-stderr

## postorius 1.2.2

=== debian/changelog ===
postorius (1.2.2-2) unstable; urgency=medium

  * d/tests/control:
    - Fix test command to actually run tests (drop "shell").

 -- Jonas Meurer <jonas@freesources.org>  Sun, 23 Sep 2018 19:56:03 +0200

postorius (1.2.2-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.2.1
    - Comes with full python3 support
  * d/control:
    - Updated (Build-)?Dependencies due to python3 migration
    - Drop X-Python-Version
    - Bump Standards-Version to 4.1.5. No changes required

  [ Jonas Meurer ]
  * New upstream release 1.2.2
  * d/control:
    - Bump standards-version to 4.2.1, no changes required
    - Add versioned (build-)depends on python3-mailmanclient >= 3.2.0
    - Update (Build-)Depends to python3 packages
    - Add Conflicts/Replaces python-django-postorius
  * d/rules:
    - Migrate build system to python3
    - Remove pycache files after running testsuite
  * d/source/lintian-overrides:
    - remove obsolete python2 lintian overrides

 -- Jonas Meurer <jonas@freesources.org>  Mon, 17 Sep 2018 13:08:16 +0200

=== debian/control ===
Source: postorius
Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <becue@crans.org>,
           Jonas Meurer <jonas@freesources.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-bs4,
               python3-django (>= 1:1.11),
               python3-django-mailman3 (>= 1.2.0),
               python3-mailmanclient (>= 3.2.0),
               python3-mock,
               python3-setuptools,
               python3-vcr,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.2.1
Homepage: https://gitlab.com/mailman/postorius
Vcs-Browser: https://salsa.debian.org/mailman-team/postorius
Vcs-Git: https://salsa.debian.org/mailman-team/postorius.git

Package: python3-django-postorius
Architecture: all
Depends: libjs-jquery,
         libjs-bootstrap,
         fonts-glewlwyd,
         python3-django,
         python3-django-allauth,
         python3-django-mailman3 (>= 1.2.0),
         python3-mailmanclient (>= 3.2.0),
         python3-sphinx-rtd-theme,
         ${misc:Depends},
         ${python3:Depends}
Recommends: mailman3-web
Conflicts: python-django-postorius
Replaces: python-django-postorius
Description: Web user interface to access GNU Mailman3
 The Postorius Django app provides a web user interface
 to access GNU Mailman3, and manage it. This interface
 uses django, and requires some configuration.

## postorius 1.2.4

=== debian/changelog ===
postorius (1.2.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * d/rules:
    - Remove logic to remove included fonts-glewlwyd files, as it's not
      packaged for stretch-backports.
  * d/p/0003-Use-sphinx-theme-classic-to-avoid-dependency-on-sphi.patch:
    - Patch doc/conf.py to use sphinx html theme 'classic'. Avoids dependency
      on sphinx-rtd-theme-common, which is unavailable in stretch(-backports).

 -- Jonas Meurer <jonas@freesources.org>  Sun, 10 Mar 2019 00:15:06 +0100

postorius (1.2.4-1) unstable; urgency=medium

  * New upstream release 1.2.4
    - (Build-)Depends on python3-mailmanclient >= 3.2.2
  * d/p/0002-Template-API-set-encoding.patch:
    - Remove, got incorporated upstream

 -- Jonas Meurer <jonas@freesources.org>  Mon, 11 Feb 2019 01:09:05 +0100

postorius (1.2.2-4) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 4.3.0, no changes required
  * d/p/0002-Template-API-set-encoding.patch:
    - Backport upstream patch to fix template encoding 

 -- Jonas Meurer <jonas@freesources.org>  Sun, 23 Dec 2018 23:27:41 +0100

postorius (1.2.2-3) unstable; urgency=medium

  * d/control:
    - Use ${sphinxdoc:Depends} instead of an explicit dependency on
      python3-sphinx-rtd-theme (Closes: #891374)
    - Add my Debian address to the uploaders field instead of my Crans one.

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 18 Oct 2018 11:12:24 +0200

postorius (1.1.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jonas Meurer <jonas@freesources.org>  Mon, 29 Jan 2018 15:28:25 +0100

=== debian/control ===
Source: postorius
Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
           Jonas Meurer <jonas@freesources.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-bs4,
               python3-django (>= 1:1.11),
               python3-django-mailman3 (>= 1.2.0),
               python3-mailmanclient (>= 3.2.2),
               python3-mock,
               python3-setuptools,
               python3-vcr,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.3.0
Homepage: https://gitlab.com/mailman/postorius
Vcs-Browser: https://salsa.debian.org/mailman-team/postorius
Vcs-Git: https://salsa.debian.org/mailman-team/postorius.git

Package: python3-django-postorius
Architecture: all
Depends: libjs-jquery,
         libjs-bootstrap,
         python3-django,
         python3-django-allauth,
         python3-django-mailman3 (>= 1.2.0),
         python3-mailmanclient (>= 3.2.2),
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Recommends: mailman3-web
Conflicts: python-django-postorius
Replaces: python-django-postorius
Description: Web user interface to access GNU Mailman3
 The Postorius Django app provides a web user interface
 to access GNU Mailman3, and manage it. This interface
 uses django, and requires some configuration.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME = postorius

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ln -s ../src/postorius example_project/postorius
	set -e; \
	for python3 in $(shell py3versions -r); do \
		$$python3 $(shell which django-admin) test --pythonpath=example_project --settings=test_settings postorius; \
	done
	rm example_project/postorius
	find example_project src/postorius -name '__pycache__' -type d -print | xargs rm -r
endif

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -E -N src/postorius/doc build/sphinx/html
	dh_auto_build

override_dh_python3:
	dh_python3
	# Due to bug #908999, dh_python3 removes the empty directory
	# 'usr/share/python3-django-postorius', so run mkdir manually.
	mkdir -p debian/python3-django-postorius/usr/share/python3-django-postorius
	# Move static files outside of the lib directory
	mv debian/python3-django-postorius/usr/lib/python3/dist-packages/postorius/static \
		debian/python3-django-postorius/usr/share/python3-django-postorius/
	dh_link usr/share/python3-django-postorius/static \
		usr/lib/python3/dist-packages/postorius/static
	# Don't embed bootstrap/jquery JS scripts
	find debian/python3-django-postorius -name 'jquery-1.11.3.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python3-django-postorius -name 'bootstrap.min.js' -type f -exec \
		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;

override_dh_installchangelogs:
	dh_installchangelogs src/postorius/doc/news.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/postorius/postorius-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## postorius 1.2.4.1

=== debian/changelog ===
postorius (1.2.4.1-1+dde) unstable; urgency=medium

  * update

 -- Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>  Wed, 20 Oct 2021 14:18:03 +0800

## postorius 1.3.2

=== debian/changelog ===
postorius (1.3.2-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use glyphicons-halflings from fonts-glyphicons-halflings (Closes: #962881)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 18 Jul 2020 13:56:26 +0200

postorius (1.3.2-2) unstable; urgency=medium

  * d/control:
    - Update the install dependencies as postorius can't work with
      mailmanclient < 3.3.0 (Closes: #951106)

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 12 Feb 2020 13:52:08 +0100

postorius (1.3.2-1) unstable; urgency=medium

  * New upstream release 1.3.2
  * d/control:
    - Switch to debhelper-compat (version 12) instead of debian/compat
    - Bump Standards-Version to 4.4.1
    - Update build dependencies
  * d/t/*:
    - Script autopkgtest to make it work with the new test environment
      (Closes: #949437)
  * d/rules:
    - Remove upstream's shipped html5shiv library in favour of the packaged
      one

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 10 Feb 2020 23:44:20 +0100

=== debian/control ===
Source: postorius
Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
           Jonas Meurer <jonas@freesources.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-readme-renderer,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.4.1
Homepage: https://gitlab.com/mailman/postorius
Vcs-Browser: https://salsa.debian.org/mailman-team/postorius
Vcs-Git: https://salsa.debian.org/mailman-team/postorius.git

Package: python3-django-postorius
Architecture: all
Depends: libjs-jquery,
         libjs-bootstrap,
         fonts-glyphicons-halflings,
         node-html5shiv,
         python3-cmarkgfm,
         python3-django,
         python3-django-mailman3 (>= 1.3.0),
         python3-mailmanclient (>= 3.3.0),
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Recommends: mailman3-web
Conflicts: python-django-postorius
Replaces: python-django-postorius
Description: Web user interface to access GNU Mailman3
 The Postorius Django app provides a web user interface
 to access GNU Mailman3, and manage it. This interface
 uses django, and requires some configuration.

=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,6 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	ln -s ../src/postorius example_project/postorius
-	set -e; \
-	for python3 in $(shell py3versions -r); do \
-		$$python3 $(shell which django-admin) test --pythonpath=example_project --settings=test_settings postorius; \
-	done
-	rm example_project/postorius
-	find example_project src/postorius -name '__pycache__' -type d -print | xargs rm -r
-endif
 
 override_dh_auto_build:
 	PYTHONPATH=. sphinx-build -b html -E -N src/postorius/doc build/sphinx/html
@@ -37,6 +28,12 @@
 		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
 	find debian/python3-django-postorius -name 'bootstrap.min.js' -type f -exec \
 		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;
+	find debian/python3-django-postorius -name 'html5shiv.min.js' -type f -exec \
+		ln -sf /usr/share/nodejs/html5shiv/dist/html5shiv.min.js {} \;
+	find debian/python3-django-postorius -name 'html5shiv.js' -type f -exec \
+		ln -sf /usr/share/nodejs/html5shiv/dist/html5shiv.js {} \;
+	find debian/python3-django-postorius -name 'glyphicons-halflings-regular.ttf' -type f -exec \
+		ln -sf /usr/share/fonts-glyphicons/glyphicons-halflings-regular.ttf {} \;
 
 override_dh_installchangelogs:
 	dh_installchangelogs src/postorius/doc/news.rst

=== debian/tests/control ===
Tests: python3-django-postorius
Depends: @,
         procps,
         python3-all,
         mailman3,
         python3-bs4,
         python3-cmarkgfm,
         python3-django (>= 1:1.11),
         python3-django-mailman3 (>= 1.2.0),
         python3-mailmanclient (>= 3.2.2),
         python3-mock,
         python3-pytest-django,
Restrictions: allow-stderr,
              needs-root

## postorius 1.3.4

=== debian/changelog ===
postorius (1.3.4-2+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2021-40347: Check a user owns the email they are trying to
    unsubscribe (Fixes: #993746)

 -- Jonas Meurer <jonas@freesources.org>  Thu, 09 Sep 2021 14:04:00 +0200

postorius (1.3.4-2) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * Use bootstrap4 instead of bootstrap3. (Closes: #983895)
  * Compile the LC_MESSAGES via django-admin at build time. (Closes: #983848)

 -- Jonas Meurer <jonas@freesources.org>  Mon, 08 Mar 2021 16:35:40 +0100

postorius (1.3.4-1) unstable; urgency=medium

  * New upstream release
  * d/control, d/tests/control: Update (build-)dependencies
  * d/p/0002-Remove-cloudflare-dependency-from-the-frontent.patch: remove
    obsolete patch

 -- Jonas Meurer <jonas@freesources.org>  Fri, 05 Feb 2021 01:02:15 +0100

postorius (1.3.3-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump Standards-Version to 4.5.1
  * d/upstream/signing-key.asc: Re-export as minimal key
  * d/rules: Replace all glyphicons-halflings-regular font files with symlinks
    to the files from package fonts-glyphicons-halflings
  * d/tests: Fix tests, update test dependencies (Closes: #976097)
  * d/p/0002-Remove-cloudflare-dependency-from-the-frontent.patch:
    Remove cloudflare dependency from the frontend
  * d/missing-sources/popper-v1.11.0.js: Add missing popperjs source file

 -- Jonas Meurer <jonas@freesources.org>  Sun, 17 Jan 2021 14:52:58 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-django,
                python3-readme-renderer,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://gitlab.com/mailman/postorius
 Vcs-Browser: https://salsa.debian.org/mailman-team/postorius
 Vcs-Git: https://salsa.debian.org/mailman-team/postorius.git
@@ -19,13 +20,13 @@
 Package: python3-django-postorius
 Architecture: all
 Depends: libjs-jquery,
-         libjs-bootstrap,
+         libjs-bootstrap4,
          fonts-glyphicons-halflings,
          node-html5shiv,
          python3-cmarkgfm,
          python3-django,
-         python3-django-mailman3 (>= 1.3.0),
-         python3-mailmanclient (>= 3.3.0),
+         python3-django-mailman3 (>= 1.3.5),
+         python3-mailmanclient (>= 3.3.2),
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -27,13 +27,18 @@
 	find debian/python3-django-postorius -name 'jquery-1.11.3.min.js' -type f -exec \
 		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
 	find debian/python3-django-postorius -name 'bootstrap.min.js' -type f -exec \
-		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;
+		ln -sf /usr/share/javascript/bootstrap4/js/bootstrap.min.js {} \;
 	find debian/python3-django-postorius -name 'html5shiv.min.js' -type f -exec \
 		ln -sf /usr/share/nodejs/html5shiv/dist/html5shiv.min.js {} \;
 	find debian/python3-django-postorius -name 'html5shiv.js' -type f -exec \
 		ln -sf /usr/share/nodejs/html5shiv/dist/html5shiv.js {} \;
-	find debian/python3-django-postorius -name 'glyphicons-halflings-regular.ttf' -type f -exec \
-		ln -sf /usr/share/fonts-glyphicons/glyphicons-halflings-regular.ttf {} \;
+	for type in eot ttf woff woff2; do \
+		find debian/python3-django-postorius -name "glyphicons-halflings-regular.$$type" -type f -exec \
+			ln -sf /usr/share/fonts-glyphicons/glyphicons-halflings-regular.$$type {} \; ; \
+	done
+	#
+	# Compile django LC messages
+	cd debian/python3-django-postorius/usr/lib/python3/dist-packages/postorius && django-admin compilemessages
 
 override_dh_installchangelogs:
 	dh_installchangelogs src/postorius/doc/news.rst

=== debian/tests/control ===
Tests: python3-django-postorius
Depends: mailman3 (>= 3.3.2),
         procps,
         python3-all,
         python3-bs4,
         python3-cmarkgfm,
         python3-django,
         python3-django-mailman3 (>= 1.3.5),
         python3-mailmanclient (>= 3.3.2),
         python3-pytest-django,
         python3-readme-renderer
Restrictions: allow-stderr,
              isolation-container,
              needs-root

## postorius 1.3.5

=== debian/changelog ===
postorius (1.3.5-1) unstable; urgency=medium

  * New upstream release
    - CVE-2021-40347: Check a user owns the email they are trying to
      unsubscribe (Fixes: #993746)
  * d/control:
    - Bump Standards-Version to 4.6.0

 -- Jonas Meurer <jonas@freesources.org>  Thu, 09 Sep 2021 13:15:03 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/mailman/postorius
 Vcs-Browser: https://salsa.debian.org/mailman-team/postorius
 Vcs-Git: https://salsa.debian.org/mailman-team/postorius.git

## postorius 1.3.8

=== debian/changelog ===
postorius (1.3.8-3) unstable; urgency=medium

  * d/rules: fix a typo on jquery linking

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 29 Jan 2023 18:44:36 +0100

postorius (1.3.8-2) unstable; urgency=medium

  * Fix autopkgtest tooling

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 29 Jan 2023 17:41:32 +0100

postorius (1.3.8-1) unstable; urgency=medium

  * New upstream release: 1.3.8
  * Update js libs and fonts dependencies and linking
  * d/tests/python3-django-postorius: use py3versions -s
  * d/control: Bump Standards-Version to 4.6.2
  * d/rules:
    - More font relinking
    - Remove the documentation from the python3 lib itself

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 29 Jan 2023 13:24:53 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/mailman/postorius
 Vcs-Browser: https://salsa.debian.org/mailman-team/postorius
 Vcs-Git: https://salsa.debian.org/mailman-team/postorius.git
@@ -21,6 +21,7 @@
 Architecture: all
 Depends: libjs-jquery,
          libjs-bootstrap4,
+         fonts-font-awesome,
          fonts-glyphicons-halflings,
          node-html5shiv,
          python3-cmarkgfm,

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,22 @@
 		debian/python3-django-postorius/usr/share/python3-django-postorius/
 	dh_link usr/share/python3-django-postorius/static \
 		usr/lib/python3/dist-packages/postorius/static
+	# Don't embed fonts
+	find debian/python3-django-postorius -name 'FontAwesome.otf' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/FontAwesome.otf {} \;
+	find debian/python3-django-postorius -name 'fontawesome-webfont.ttf' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.ttf {} \;
+	find debian/python3-django-postorius -name 'fontawesome-webfont.eot' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.eot {} \;
+	find debian/python3-django-postorius -name 'fontawesome-webfont.woff' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.woff {} \;
+	find debian/python3-django-postorius -name 'fontawesome-webfont.woff2' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.woff2 {} \;
 	# Don't embed bootstrap/jquery JS scripts
-	find debian/python3-django-postorius -name 'jquery-1.11.3.min.js' -type f -exec \
+	find debian/python3-django-postorius -name 'jquery-3.6.0.min.js' -type f -exec \
 		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
+	find debian/python3-django-postorius -name 'jquery-3.6.0.js' -type f -exec \
+		ln -sf /usr/share/javascript/jquery/jquery.js {} \;
 	find debian/python3-django-postorius -name 'bootstrap.min.js' -type f -exec \
 		ln -sf /usr/share/javascript/bootstrap4/js/bootstrap.min.js {} \;
 	find debian/python3-django-postorius -name 'html5shiv.min.js' -type f -exec \
@@ -39,6 +52,8 @@
 	#
 	# Compile django LC messages
 	cd debian/python3-django-postorius/usr/lib/python3/dist-packages/postorius && django-admin compilemessages
+	# Remove the docs from /usr/lib/python3
+	rm -rf debian/python3-django-postorius/usr/lib/python3/dist-packages/postorius/doc
 
 override_dh_installchangelogs:
 	dh_installchangelogs src/postorius/doc/news.rst

## postorius 1.3.10

=== debian/changelog ===
postorius (1.3.10-1) unstable; urgency=medium

  * New upstream release 1.3.10

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 09 Jan 2024 00:19:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               furo,
                python3-all,
                python3-django,
                python3-readme-renderer,
@@ -20,14 +21,15 @@
 Package: python3-django-postorius
 Architecture: all
 Depends: libjs-jquery,
-         libjs-bootstrap4,
+         libjs-bootstrap5,
          fonts-font-awesome,
          fonts-glyphicons-halflings,
-         node-html5shiv,
          python3-cmarkgfm,
-         python3-django,
-         python3-django-mailman3 (>= 1.3.5),
-         python3-mailmanclient (>= 3.3.2),
+         python3-django (<< 3:4.3),
+         python3-django (>= 3:3.2),
+         python3-django-mailman3 (>= 1.3.10),
+         python3-mailmanclient (>= 3.3.3),
+         python3-readme-renderer,
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME = postorius

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_build:
	cd src && PYTHONPATH=. sphinx-build -b html -E -N postorius/doc ../build/sphinx/html
	dh_auto_build

override_dh_python3:
	dh_python3
	# Due to bug #908999, dh_python3 removes the empty directory
	# 'usr/share/python3-django-postorius', so run mkdir manually.
	mkdir -p debian/python3-django-postorius/usr/share/python3-django-postorius
	# Move static files outside of the lib directory
	mv debian/python3-django-postorius/usr/lib/python3/dist-packages/postorius/static \
		debian/python3-django-postorius/usr/share/python3-django-postorius/
	dh_link usr/share/python3-django-postorius/static \
		usr/lib/python3/dist-packages/postorius/static
	# Don't embed jquery JS scripts
	find debian/python3-django-postorius -name 'jquery-3.6.0.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python3-django-postorius -name 'jquery-3.6.0.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.js {} \;
	# Don't embed jquery Bootstrap scripts and CSS
	find debian/python3-django-postorius -name 'bootstrap.bundle.js' -type f -exec \
		ln -sf /usr/share/bootstrap-html/js/bootstrap.bundle.js {} \;
	find debian/python3-django-postorius -name 'bootstrap.bundle.js.map' -type f -exec \
		ln -sf /usr/share/bootstrap-html/js/bootstrap.bundle.js.map {} \;
	find debian/python3-django-postorius -name 'bootstrap.bundle.min.js' -type f -exec \
		ln -sf /usr/share/bootstrap-html/js/bootstrap.bundle.min.js {} \;
	find debian/python3-django-postorius -name 'bootstrap.bundle.min.js.map' -type f -exec \
		ln -sf /usr/share/bootstrap-html/js/bootstrap.bundle.min.js.map {} \;
	find debian/python3-django-postorius -name 'bootstrap.min.css' -type f -exec \
		ln -sf /usr/share/bootstrap-html/css/bootstrap.min.css {} \;
	find debian/python3-django-postorius -name 'bootstrap.min.css.map' -type f -exec \
		ln -sf /usr/share/bootstrap-html/css/bootstrap.min.css.map {} \;
	# Don't embed fonts
	find debian/python3-django-postorius -name 'FontAwesome.otf' -type f -exec \
		ln -sf /usr/share/fonts-font-awesome/fonts/FontAwesome.otf {} \;
	for type in eot svg ttf woff woff2; do \
		find debian/python3-django-postorius -name "fontawesome-webfont.$$type" -type f -exec \
			ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.$$type {} \; ; \
	done
	for type in eot svg ttf woff woff2; do \
		find debian/python3-django-postorius -name "glyphicons-halflings-regular.$$type" -type f -exec \
			ln -sf /usr/share/fonts-glyphicons/glyphicons-halflings-regular.$$type {} \; ; \
	done
	#
	# Compile django LC messages
	cd debian/python3-django-postorius/usr/lib/python3/dist-packages/postorius && django-admin compilemessages
	# Remove the docs from /usr/lib/python3
	rm -rf debian/python3-django-postorius/usr/lib/python3/dist-packages/postorius/doc

override_dh_installchangelogs:
	dh_installchangelogs src/postorius/doc/news.rst

=== debian/tests/control ===
Tests: python3-django-postorius
Depends: @,
         mailman3 (>= 3.3.2),
         procps,
         python3-all,
         python3-bs4,
         python3-cmarkgfm,
         python3-django,
         python3-django-debug-toolbar,
         python3-django-mailman3,
         python3-mailmanclient,
         python3-pytest-django,
         python3-readme-renderer
Restrictions: allow-stderr,
              isolation-container,
              needs-root

## postorius 1.3.13

=== debian/changelog ===
postorius (1.3.13-1ubuntu1) questing; urgency=medium

  * d/control: Allow Django versions beyond 4.2

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 13 Aug 2025 17:28:22 -0400

postorius (1.3.13-1) unstable; urgency=medium

  * New upstream release.
  * Remove no longer needed workaround for #908999.
  * Update copyright file and bump years.
  * Update Standards-Version to 4.7.2.
  * Add myself to Uploaders.
  * Add Build-Depends on pybuild-plugin-pyproject, python3-pdm and
    python3-pdm-backend.

 -- Jordi Mallach <jordi@debian.org>  Wed, 12 Mar 2025 11:01:34 +0100

postorius (1.3.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * The tests & autopkgtests still requires python3-six.
    Usage has been since removed:
      https://gitlab.com/mailman/postorius/-/commit/ ...
      bedf749b85465b261a3d4d5bf5e6296f7a00b6ba

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 14:25:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,25 @@
 Source: postorius
-Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
-           Jonas Meurer <jonas@freesources.org>
+           Jonas Meurer <jonas@freesources.org>,
+           Jordi Mallach <jordi@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                furo,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-django,
+               python3-pdm,
+               python3-pdm-backend,
                python3-readme-renderer,
                python3-setuptools,
+               python3-six,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/mailman/postorius
 Vcs-Browser: https://salsa.debian.org/mailman-team/postorius
 Vcs-Git: https://salsa.debian.org/mailman-team/postorius.git
@@ -25,7 +31,6 @@
          fonts-font-awesome,
          fonts-glyphicons-halflings,
          python3-cmarkgfm,
-         python3-django (<< 3:4.3),
          python3-django (>= 3:3.2),
          python3-django-mailman3 (>= 1.3.10),
          python3-mailmanclient (>= 3.3.3),

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,6 @@
 
 override_dh_python3:
 	dh_python3
-	# Due to bug #908999, dh_python3 removes the empty directory
-	# 'usr/share/python3-django-postorius', so run mkdir manually.
-	mkdir -p debian/python3-django-postorius/usr/share/python3-django-postorius
 	# Move static files outside of the lib directory
 	mv debian/python3-django-postorius/usr/lib/python3/dist-packages/postorius/static \
 		debian/python3-django-postorius/usr/share/python3-django-postorius/

=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
          python3-django-mailman3,
          python3-mailmanclient,
          python3-pytest-django,
-         python3-readme-renderer
+         python3-readme-renderer,
+         python3-six,
 Restrictions: allow-stderr,
               isolation-container,
               needs-root
